%define module	Unicode-UTF8simple
%define name	perl-%{module}
%define version 1.06
%define release %mkrel 4

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Conversions to/from UTF8 from/to charactersets
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/G/GU/GUS/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
Buildrequires:	perl-Unicode-Map
Buildrequires:	perl-Unicode-Map8
Buildrequires:	perl-Jcode
Buildarch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This utf-8 converter is written in plain perl and works with hopefully
any perl 5 version. It was mainly written because more recent modules
such as Encode do not work under older Perl 5.0 installations.

%prep
%setup -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/Unicode
%{_mandir}/*/*




%changelog
* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.06-4mdv2009.0
+ Revision: 258709
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.06-3mdv2009.0
+ Revision: 246669
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.06-1mdv2008.1
+ Revision: 136364
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Jan 03 2007 Stefan van der Eijk <stefan@mandriva.org> 1.06-1mdv2007.0
+ Revision: 103815
- Import perl-Unicode-UTF8simple

* Fri Dec 02 2005 Stefan an der Eijk <stefan@eijk.nu> 1.06-1mdk
- initial package

